<!--

	Ejemplo de utilización de http_client.php
	Copyright (C) 2008  Avelino Herrera Morales
	                    M.H.P. Servicios de Control S.L.

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

-->
<html>
<head>
	<title>http client example</title>
</head>
<body>
<?php

require_once("http_client.php");

echo "<pre>";

echo "MODO MEMORIA:\n";
/*
	MODO MEMORIA. Cuarto parámetro a 'null' o a '""'. La respuesta del servidor se guarda en el array 'data' dentro del objeto retornado.
*/
$response = http_post("192.168.200.14", 80, "/~avelino/din_5p_45g.gif", null, array("nombre" => "Avelino Herrera Morales"));
/*
	El objeto response poee los siguientes campos:
		$response->status = el código de estado HTTP de la comunicación. 200 = ok, 404 = not found, etc.
		$response->header = un array asociativo con los datos de la cabecera HTTP recibida.
		$response->data = un array con los bytes recibidos.
*/
if ($response != null) {
	echo "STATUS=".$response->status."\n";
	print_r($response->header);
	echo "DATA ".count($response->data)." bytes (should be equal to 'Content-Type' header value)";
}





echo "\n\n\n\nMODO DISCO:\n";
/*
	MODO DISCO. En el cuarto parámetro indicamos la ruta a un fichero. La respuesta del servidor se guarda en el fichero apuntado por este cuarto párametro.
*/
$targetFile = "/tmp/prueba.gif";
$response = http_post("192.168.200.14", 80, "/~avelino/din_5p_45g.gif", $targetFile, array("nombre" => "Avelino Herrera Morales"));
/*
	El objeto response poee los siguientes campos:
		$response->status = el código de estado HTTP de la comunicación. 200 = ok, 404 = not found, etc.
		$response->header = un array asociativo con los datos de la cabecera HTTP recibida.
		$response->data = null
*/
if ($response != null) {
	echo "STATUS=".$response->status."\n";
	print_r($response->header);
}
echo "DATA stored at ".$targetFile."\n";

echo "</pre>";
?>
</body>
</html>
